Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Java] Class IncrementalCompileOptions

    java.lang.Object
      org.gradle.api.tasks.scala.IncrementalCompileOptions

All Implemented Interfaces:
  Serializable

    @Incubating
    public class IncrementalCompileOptions

Options for incremental compilation of Scala code. Only used if ScalaCompileOptions.isUseAnt is `false`.

Method Summary
`File` | `getAnalysisFile()` Returns the file path where results of code analysis are to be stored.
`File` | `getPublishedCode()` Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
`void` | `setAnalysisFile(File analysisFile)` Sets the file path where results of code analysis are to be stored.
`void` | `setPublishedCode(File publishedCode)` Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getAnalysisFile

    @Input
    public File getAnalysisFile()

  Returns the file path where results of code analysis are to be stored.
  Returns:
    the file path where which results of code analysis are to be stored

### getPublishedCode

    public File getPublishedCode()

  Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
  Returns:
    the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks

### setAnalysisFile

    public void setAnalysisFile(File analysisFile)

  Sets the file path where results of code analysis are to be stored.

### setPublishedCode

    public void setPublishedCode(File publishedCode)

  Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

Gradle API 1.10